Drupal Watcher modul többszörös sérülékenység

CH azonosító

CH-3849

Angol cím

Drupal Watcher Module Multiple Vulnerabilities

Felfedezés dátuma

2010.10.27.

Súlyosság

Alacsony

Érintett rendszerek

Drupal
Watcher module

Érintett verziók

Drupal Watcher module 5.x 1.0 - 1.6, 6.x 1.0 - 1.3

Összefoglaló

A Drupalhoz készített Watcher modul sérülékenységeit jelentették, amiket kihasználva rosszindulatú felhasználók cross-site scripting (XSS) és cross-site request forgery attacks (CSRS) támadást indíthatnak.

Leírás

  1. Nem részletezett változóknak átadott paraméterek nincsenek megfelelően megtisztítva, mielőtt visszakerülnének a felhasználóhoz. Ezt kihasználva tetszőleges HTML és script kódot lehet lefuttatni a felhasználó böngészőjében, az érintett oldal vonatkozásában.
  2. Az alkalmazás lehetővé teszi a felhasználóknak, hogy HTTP kéréseken keresztül bizonyos műveleteket hajtsanak végre anélkül, hogy ellenőrizné a kérést. Ezt kihasználva, feliratkozás és leiratkozás műveleteket lehet végrehajtani, ha egy bejelentkezett felhasználó meglátogat egy káros tartalmú weboldalt.

Megoldás

Frissítsen a legújabb verzióra